Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1172977 - Review Request: nodejs-nano - Minimalistic couchdb driver for Node.js
Summary: Review Request: nodejs-nano - Minimalistic couchdb driver for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1172976
Blocks: nodejs-reviews 1173203
TreeView+ depends on / blocked
 
Reported: 2014-12-11 08:46 UTC by Parag Nemade
Modified: 2015-01-15 17:42 UTC (History)
2 users (show)

Fixed In Version: nodejs-nano-6.0.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-31 04:53:42 UTC
piotr1212: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-12-11 08:46:16 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/nodejs-nano.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/nodejs-nano-6.0.2-1.fc21.src.rpm
Description: 
Minimalistic couchdb driver for Node.js

Fedora Account System Username: pnemade

Comment 1 Piotr Popieluch 2014-12-28 16:36:09 UTC
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 74 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1172977-nodejs-nano/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-nano-6.0.2-1.fc22.noarch.rpm
          nodejs-nano-6.0.2-1.fc22.src.rpm
nodejs-nano.noarch: W: spelling-error Summary(en_US) Minimalistic -> Minimalist, Minimalism, Animistic
nodejs-nano.noarch: W: spelling-error Summary(en_US) couchdb -> couch db, couch-db, couch
nodejs-nano.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-nano.noarch: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
nodejs-nano.noarch: W: spelling-error %description -l en_US couchdb -> couch db, couch-db, couch
nodejs-nano.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-nano.noarch: W: spelling-error %description -l en_US proxied -> proxies, peroxided
nodejs-nano.noarch: W: only-non-binary-in-usr-lib
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/follow /usr/lib/node_modules/follow
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/request /usr/lib/node_modules/request
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/debug /usr/lib/node_modules/debug
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/errs /usr/lib/node_modules/errs
nodejs-nano.src: W: spelling-error Summary(en_US) Minimalistic -> Minimalist, Minimalism, Animistic
nodejs-nano.src: W: spelling-error Summary(en_US) couchdb -> couch db, couch-db, couch
nodejs-nano.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-nano.src: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
nodejs-nano.src: W: spelling-error %description -l en_US couchdb -> couch db, couch-db, couch
nodejs-nano.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-nano.src: W: spelling-error %description -l en_US proxied -> proxies, peroxided
2 packages and 0 specfiles checked; 0 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-nano
nodejs-nano.noarch: W: spelling-error Summary(en_US) Minimalistic -> Minimalist, Minimalism, Animistic
nodejs-nano.noarch: W: spelling-error Summary(en_US) couchdb -> couch db, couch-db, couch
nodejs-nano.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-nano.noarch: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
nodejs-nano.noarch: W: spelling-error %description -l en_US couchdb -> couch db, couch-db, couch
nodejs-nano.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-nano.noarch: W: spelling-error %description -l en_US proxied -> proxies, peroxided
nodejs-nano.noarch: W: only-non-binary-in-usr-lib
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/follow /usr/lib/node_modules/follow
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/request /usr/lib/node_modules/request
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/debug /usr/lib/node_modules/debug
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/underscore /usr/lib/node_modules/underscore
nodejs-nano.noarch: W: dangling-symlink /usr/lib/node_modules/nano/node_modules/errs /usr/lib/node_modules/errs
1 packages and 0 specfiles checked; 0 errors, 13 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-nano (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(debug)
    npm(errs)
    npm(follow)
    npm(request)
    npm(underscore)



Provides
--------
nodejs-nano:
    nodejs-nano
    npm(nano)



Source checksums
----------------
http://registry.npmjs.org/nano/-/nano-6.0.2.tgz :
  CHECKSUM(SHA256) this package     : c11f22160e99b3d32a712c59cb44e96903982dff8fb82df1bb8d0ebeaf97c6a5
  CHECKSUM(SHA256) upstream package : c11f22160e99b3d32a712c59cb44e96903982dff8fb82df1bb8d0ebeaf97c6a5


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1172977
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Parag Nemade 2014-12-29 00:17:38 UTC
Thank you for this review.

New Package SCM Request
=======================
Package Name: nodejs-nano
Short Description: Minimalistic couchdb driver for Node.js
Upstream URL: http://github.com/dscape/nano
Owners: pnemade
Branches: f20 f21 el6 epel7
InitialCC:

Comment 3 Kevin Fenzi 2014-12-29 16:56:23 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-30 08:49:09 UTC
nodejs-nano-6.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-nano-6.0.2-1.el7

Comment 5 Fedora Update System 2014-12-30 08:59:08 UTC
nodejs-nano-6.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-nano-6.0.2-1.el6

Comment 6 Fedora Update System 2014-12-30 09:07:15 UTC
nodejs-nano-6.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-nano-6.0.2-1.fc20

Comment 7 Fedora Update System 2014-12-30 09:24:39 UTC
nodejs-nano-6.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-nano-6.0.2-1.fc21

Comment 8 Parag Nemade 2014-12-31 04:53:42 UTC
Built in rawhide.

Comment 9 Fedora Update System 2015-01-07 23:55:50 UTC
nodejs-nano-6.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-01-08 23:30:57 UTC
nodejs-nano-6.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-01-15 17:42:21 UTC
nodejs-nano-6.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.